Subject: Re: [bug#73494] [PATCH 0/2] tmpfs /run.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 05 Mar 2025 11:03:33 +0900

Hello,

Ludovic Courtès <[email-masked]> writes:

[...]

>>> I guess we could do that; extra points if the error is caught and logged
>>> (but otherwise neutralized).
>>
>> building /gnu/store/fyn7ymd24k8v4ar2rqvp4yk75qcclv7q-switch-to-system.scm.drv...
>> making '/var/guix/profiles/system-98-link' the current system...
>> populating /etc from /gnu/store/svdqdysmfb5sz3s0qvfd2c9hiidrsabs-etc...
>> setting up privileged programs in '/run/privileged/bin'...
>> guix system: warning: failed to activate
>> '/gnu/store/mkl7gr24xrdjm9gdr1jhzadc9pksg4f2-activate-service.scm':
>> In procedure rmdir: Directory not empty
>> The following derivation will be built:
>>   /gnu/store/fgr7dafbxlcfvdh47kcd2bax0dva0yy6-install-bootloader.scm.drv
>>
>> building /gnu/store/fgr7dafbxlcfvdh47kcd2bax0dva0yy6-install-bootloader.scm.drv...
>> guix system: bootloader successfully installed on '(/efi)'
>>
>> Does this warning look good to you?
>
> Yes, sounds reasonable.

I wanted to apply this change, but 'make check-system TESTS=jami' now
crashes at boot in gnu/build/activation.scm:

--8<---------------cut here---------------start------------->8---
In gnu/build/activation.scm:
    102:9  1 (retry)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)
In procedure open-fdes-at: Not a directory
[    0.978773] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000000
[    0.978994] CPU: 0 UID: 0 PID: 1 Comm: init Not tainted 6.13.5-gnu #1 c188f1cb5be905eaa0f98c5aa10913ea17baaded
[    0.979289] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.16.2/GNU Guix 04/01/2014
[    0.979538] Call Trace:
[    0.979612]  <TASK>
[    0.979677]  dump_stack_lvl+0x2b/0xa0
[    0.979786]  dump_stack+0x14/0x20
[    0.979884]  panic+0x364/0x390
[    0.979974]  ? raw_spin_rq_unlock+0x14/0x40
[    0.980095]  do_exit+0x926/0xa90
[    0.980187]  do_group_exit+0x38/0x90
[    0.980293]  __x64_sys_exit_group+0x1c/0x20
[    0.980407]  x64_sys_call+0x10d5/0x26f0
[    0.980513]  do_syscall_64+0x74/0x160
[    0.980616]  entry_SYSCALL_64_after_hwframe+0x76/0x7e
[    0.980754] RIP: 0033:0x572f95
[    0.980840] Code: ff ff 0f 1f 00 64 41 83 3c 24 02 75 bf eb b8 66 0f 1f 44 00 00 48 c7 c6 b0 ff ff ff ba e7 00 00 00 eb 03 66 90 f4 89 d0 0f 05 <48> 3d 00 f0 ff ff 76 f3 f7 d8 64 89 06 eb ec 66 2e 0f 1f 84 00 00
[    0.981330] RSP: 002b:00007ffe13646448 EFLAGS: 00000206 ORIG_RAX: 00000000000000e7
[    0.981539] RAX: ffffffffffffffda RBX: 00000000007b3378 RCX: 0000000000572f95
[    0.981738] RDX: 00000000000000e7 RSI: ffffffffffffffb0 RDI: 0000000000000000
[    0.981939] RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000000
[    0.982138] R10: 0000000000446870 R11: 0000000000000206 R12: 0000000000805768
[    0.982328] R13: 0000000000511b00 R14: 0000000000000003 R15: 0000000000805780
[    0.982518]  </TASK>
[    0.982663] Kernel Offset: 0x30000000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[    0.982948] Rebooting in 1 seconds..
--8<---------------cut here---------------end--------------->8---

Hilton, would you mind taking a look?

And because of commit 5074871043 ("build: marionette: Make it possible
to reboot VM during tests.") this causes an infinite reboot loop.
That's a bad fault enough that it shouldn't happen, but I'm wondering if
I shouldn't revert 5074871043 to avoid hanging tests in the odd cases
where this happens?

-- 
Thanks,
Maxim